summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPerberos <[email protected]>2012-10-16 14:11:12 -0700
committerPerberos <[email protected]>2012-10-16 14:11:12 -0700
commitc9d506b9f55c55fc4285edaa7703090019aa4490 (patch)
treebdc237436def3f0c9b5b583ae5edab4ae671959a
parentc460854d4fe90c8528b6c4d6427ed50fcae3a906 (diff)
parentbf8c191f9b9fa6211b1b0e09d783eb5546a79478 (diff)
downloadmate-desktop-c9d506b9f55c55fc4285edaa7703090019aa4490.tar.bz2
mate-desktop-c9d506b9f55c55fc4285edaa7703090019aa4490.tar.xz
Merge pull request #31 from perberos/master
algunos fixs en mate-desktop
-rwxr-xr-xautogen.sh2
-rw-r--r--configure.ac (renamed from configure.in)6
-rw-r--r--distro/archlinux/PKGBUILD12
-rw-r--r--distro/archlinux/mate-desktop.install22
-rw-r--r--mate-about/Makefile.am2
5 files changed, 33 insertions, 11 deletions
diff --git a/autogen.sh b/autogen.sh
index ac5f901..bf0a710 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,7 +6,7 @@ test -z "$srcdir" && srcdir=.
PKG_NAME="mate-desktop"
-(test -f $srcdir/configure.in) || {
+(test -f $srcdir/configure.ac) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
diff --git a/configure.in b/configure.ac
index 88c32bc..1d97c3d 100644
--- a/configure.in
+++ b/configure.ac
@@ -232,9 +232,9 @@ AM_GLIB_GNU_GETTEXT
AC_ARG_ENABLE([gnucat],
[AS_HELP_STRING([--disable-gnucat], [disable the use of gnu cat as logo])],
- [], [enable_gnucat=yes])
+ [disable_gnucat=yes], [disable_gnucat=no])
-if test "x$enable_gnucat" = "xno"; then
+if test "x$disable_gnucat" = "xyes"; then
MATE_ABOUT_CFLAGS="$MATE_ABOUT_CFLAGS -DDISABLE_GNUCAT=1"
fi
@@ -342,5 +342,5 @@ mate-desktop $VERSION `echo mate-desktop $VERSION | sed "s/./=/g"`
Startup notification support: ${have_startup_notification}
XRandr support: ${have_randr}
Build gtk-doc documentation: ${enable_gtk_doc}
-
+ Disable gnucat: ${disable_gnucat}
"
diff --git a/distro/archlinux/PKGBUILD b/distro/archlinux/PKGBUILD
index fd7a1ba..5944a6a 100644
--- a/distro/archlinux/PKGBUILD
+++ b/distro/archlinux/PKGBUILD
@@ -1,16 +1,17 @@
pkgname=mate-desktop
-pkgver=1.1.0
+pkgver=1.5.0
pkgrel=1
pkgdesc="Library with common API for various MATE modules"
arch=(i686 x86_64)
license=(GPL LGPL)
-depends=('libunique' 'libmatenotify' 'hicolor-icon-theme' 'gvfs-obexftp' 'obexd-client' 'mate-conf')
+depends=('libunique' 'libmatenotify' 'hicolor-icon-theme' 'gvfs-obexftp' 'obexd-client')
makedepends=('mate-doc-utils' 'intltool')
options=('!emptydirs' '!libtool')
-url="http://matsusoft.com.ar/projects/mate/"
+url="http://mate-desktop.org/"
groups=('mate')
source=()
sha256sums=()
+install=mate-desktop.install
build() {
cd "${srcdir}/../../../"
@@ -22,9 +23,8 @@ build() {
--disable-static \
--disable-scrollkeeper \
--disable-startup-notification \
- --enable-unique \
- --disable-gnucat || return 1
- # --with-gtk=3.0
+ --enable-unique || return 1
+ # --with-gtk=3.0
make || return 1
}
diff --git a/distro/archlinux/mate-desktop.install b/distro/archlinux/mate-desktop.install
new file mode 100644
index 0000000..bf325ea
--- /dev/null
+++ b/distro/archlinux/mate-desktop.install
@@ -0,0 +1,22 @@
+pkgname=mate-desktop
+
+post_install() {
+ usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade() {
+ pre_remove $1
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+post_remove() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
diff --git a/mate-about/Makefile.am b/mate-about/Makefile.am
index 314b870..bd64542 100644
--- a/mate-about/Makefile.am
+++ b/mate-about/Makefile.am
@@ -3,7 +3,7 @@ mate_about_SOURCES = mate-about.c mate-about.h
mate_about_CFLAGS = $(MATE_ABOUT_CFLAGS) $(UNIQUE_CFLAGS)
mate_about_LDADD = $(MATE_ABOUT_LIBS) $(UNIQUE_LIBS)
-INCLUDES = \
+AM_CPPFLAGS = \
-I$(top_srcdir) \
$(MATE_ABOUT_CFLAGS) \
-DLOCALE_DIR=\"$(datadir)/locale\" \